%global srcname pytest-repeat

Name:           python-%{srcname}
Version:        0.9.3
Release:        1%{?dist}
Summary:        A pytest plugin for repeating test execution

License:        MPL-2.0
URL:            https://github.com/pytest-dev/pytest-repeat
Source0:        https://github.com/pytest-dev/pytest-repeat/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%global _description %{expand:
pytest-repeat is a plugin for py.test that makes it easy to repeat a single
test, or multiple tests, a specific number of times.
}

%description %_description


%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel

%description -n python%{python3_pkgversion}-%{srcname} %_description


%prep
%autosetup -p1 -n %{srcname}-%{version}


%generate_buildrequires
SETUPTOOLS_SCM_PRETEND_VERSION=%{version}; export SETUPTOOLS_SCM_PRETEND_VERSION
%pyproject_buildrequires


%build
SETUPTOOLS_SCM_PRETEND_VERSION=%{version}; export SETUPTOOLS_SCM_PRETEND_VERSION
%pyproject_wheel


%install
SETUPTOOLS_SCM_PRETEND_VERSION=%{version}; export SETUPTOOLS_SCM_PRETEND_VERSION
%pyproject_install
%pyproject_save_files pytest_repeat


%check
%pytest test_repeat.py


%files -n python%{python3_pkgversion}-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGES.rst README.rst


%changelog
* Mon Jan 22 2024 Scott K Logan <logans@cottsay.net> - 0.9.3-1
- Update to 0.9.3 (rhbz#2241970)
- Define _description variable to reduce duplication
- Drop macro from URL to improve ergonomics
- Use modern Python packaging macros
- Switch to SPDX license identifier

* Thu Jun 09 2022 Scott K Logan <logans@cottsay.net> - 0.9.1-1
- Update to 0.9.1 (rhbz#1893400)
- Require pytest 3.6

* Tue Feb 12 2019 Scott K Logan <logans@cottsay.net> - 0.7.0-1
- Initial package
- Drop python3_other subpackage
